<?php



namespace WpieApp\Core\Admin;

defined( 'WPIE__FILE__' ) || exit;


class AutoLoader {

        
        private static $loaded = [];

        
        public static function loadArchive() {

                self::load( 'archive' );
        }

        
        public static function loadGeneral() {

                self::load( 'general' );
        }

        
        public static function loadSpreadsheet() {

                self::load( 'spreadsheet' );
        }

        
        public static function loadFlysystem() {

                self::load( 'flysystem' );
        }

        
        private static function load( $lib = '' ) {

                if ( in_array( $lib, self::$loaded ) ) {
                        return;
                }

                self::$loaded[] = $lib;

                $vendorDir = version_compare( phpversion(), WPIE_VENDOR_PHP_VERSION, '<' ) ? 'vendor-legacy' : 'vendor';

                $file = WPIE_PLUGIN_DIR . DIRECTORY_SEPARATOR . $vendorDir . DIRECTORY_SEPARATOR . $lib . DIRECTORY_SEPARATOR . 'autoload.php';

                if ( !file_exists( $file ) ) {
                        return;
                }
                
                require_once $file;
        }
}
