<?php



namespace WpieApp\Core\Helpers;

use WP_Error;

defined( 'WPIE__FILE__' ) || exit;


trait Json {

        
        public static function jsonDecode( $json = "", $assoc = false, $depth = 512, $options = 0 ) {

                if ( !Helper::isNonEmptyStr( $json ) || !self::isPossiblyJson( $json ) ) {
                        return new WP_Error( 'wpie_import_error', __( 'Invalid Json String', 'wp-import-export' ) );
                }

                $data = \json_decode( $json, $assoc, $depth, $options );

                if ( \JSON_ERROR_NONE !== \json_last_error() ) {
                        return new WP_Error( 'wpie_import_error', __( 'Invalid Json String', 'wp-import-export' ) );
                }

                return $data;
        }

        
        public static function isPossiblyJson( $json = '' ) {

                $string = trim( $json );

                $firstChar = $string[ 0 ];

                $lastChar = $string[ strlen( $string ) - 1 ];

                if ( ($firstChar === '{' && $lastChar === '}') || ($firstChar === '[' && $lastChar === ']') ) {
                        return true;
                } else {
                        return false;
                }
        }

        
        public static function jsonEncode( $data, $options = 0, $depth = 512 ) {

                if ( Helper::isEmpty( $data ) ) {
                        return false;
                }
                return \wp_json_encode( $data, $options, $depth );
        }

}
