<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Image {

        
        const TYPE = "image";

        
        const ATTR = [ 'id', 'class', 'name', 'src', 'alt', 'height', 'width' ];

        
        public static function render( $field ) {

                $html = "";

                $field[ "class" ] = "wpie-image " . (isset( $field[ "class" ] ) ? $field[ "class" ] : "");

                $field[ "type" ] = self::TYPE;

                foreach ( self::ATTR as $attr ) {

                        if ( !isset( $field[ $attr ] ) ) {
                                continue;
                        }

                        $field[ $attr ] = Helper::toString( $field[ $attr ] );

                        $html .= sprintf( ' %1$s="%2$s"', esc_attr( trim( $attr ) ), esc_attr( trim( $field[ $attr ] ) ) );
                }
                //$html is already escaped in loop  
                ?>
                <img <?php echo $html; //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>/>
                <?php
        }
}
