<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters\Relational;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class AdvancedLink {

        
        public static function getData( $data = [], $key = '', $fieldId = '' ) {

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                $dataType = isset( $data[ 'type' ] ) ? $data[ 'type' ] : '';

                if ( 'url' === $dataType ) {
                        return $data;
                }

                // get field
                $field = \acf_maybe_get_field( $key, $fieldId );

                $data = \acf_format_value( $data, $fieldId, $field );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return '';
                }

                switch ( $dataType ) {

                        case 'post':
                                $data = self::getPost();
                                break;

                        case 'term':
                                $data = self::getTerm();
                                break;
                }
                return $data;
        }

        
        private static function getPost( $data = [] ) {

                $id = isset( $data[ 'value' ] ) ? absint( $data[ 'value' ] ) : 0;

                if ( $id < 1 ) {
                        return $data;
                }

                $data[ 'post_type' ] = \get_post_type( $id );

                $data[ 'name' ] = \get_post_field( 'post_title', $id );

                return $data;
        }

        
        private static function getTerm( $data = [] ) {

                $id = isset( $data[ 'value' ] ) ? absint( $data[ 'value' ] ) : 0;

                if ( $id < 1 ) {
                        return $data;
                }

                $term = \get_term( $id );

                if ( \is_null( $term ) || \is_wp_error( $term ) || !isset( $term->name ) ) {
                        return $data;
                }

                $data[ 'taxonomy' ] = isset( $term->taxonomy ) ? $term->taxonomy : '';

                $data[ 'slug' ] = isset( $term->slug ) ? $term->slug : '';

                return $data;
        }
}
