<?php



namespace WpieApp\Extensions\Export\AllInOneSeo\Controller;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Taxonomy\Manager as Taxonomy;
use WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\User\Manager as User;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Post/Init', [ __CLASS__, 'initPost' ], 1, 2 );
                \add_action( 'Wpie/Export/Taxonomy/Init', [ __CLASS__, 'initTaxonomy' ], 1, 2 );
                \add_action( 'Wpie/Export/User/Init', [ __CLASS__, 'initUser' ], 1, 2 );
        }

        
        public static function initPost( $contentType = '', $category = '' ) {

                $types = Helper::isNonEmptyStr( $contentType ) ? [ $contentType ] : (Helper::isNonEmptyArray( $contentType ) ? $contentType : []);

                if ( !Helper::isNonEmptyArray( $types ) ) {
                        return;
                }

                $allowedPostTypes = array_values( \aioseo()->helpers->getPublicPostTypes( true ) );

                if ( !Helper::isNonEmptyArray( array_intersect( $types, $allowedPostTypes ) ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTaxonomy( $contentType = '', $category = '' ) {

                $allowedTaxonomies = array_values( \aioseo()->helpers->getPublicTaxonomies( true ) );

                if ( (is_string( $contentType ) && !in_array( $contentType, $allowedTaxonomies ) ) || (is_array( $contentType ) && !Helper::isNonEmptyArray( array_intersect( $allowedTaxonomies, $contentType ) )) ) {
                        return;
                }

                Taxonomy::init();
        }

        
        public static function initUser( $contentType = '', $category = '' ) {

                User::init();
        }
}
