<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller;

use RankMath\Helper as RankMathHelper;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Taxonomy\Manager as Taxonomy;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\User\Manager as User;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Post/Init', [ __CLASS__, 'initPost' ], 1, 2 );
                \add_action( 'Wpie/Export/Taxonomy/Init', [ __CLASS__, 'initTaxonomy' ], 1, 2 );
                \add_action( 'Wpie/Export/User/Init', [ __CLASS__, 'initUser' ], 1, 2 );
        }

        
        public static function initPost( $contentType = '', $category = '' ) {

                $allowedPostTypes = RankMathHelper::get_accessible_post_types();

                if ( !in_array( $contentType, $allowedPostTypes ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTaxonomy( $contentType = '', $category = '' ) {

                $types = Helper::isNonEmptyStr( $contentType ) ? [ $contentType ] : (Helper::isNonEmptyArray( $contentType ) ? $contentType : []);

                if ( !Helper::isNonEmptyArray( $types ) ) {
                        return;
                }

                $allowedTaxonomies = RankMathHelper::get_accessible_taxonomies();

                if ( !Helper::isNonEmptyArray( array_intersect( $types, array_keys( $allowedTaxonomies ) ) ) ) {
                        return;
                }


                Taxonomy::init();
        }

        
        public static function initUser( $contentType = '', $category = '' ) {

                User::init();
        }

}
