<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\DataCenters;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Attribute {

        
        private static $data = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                self::setData();

                $taxonomy = DataCenter::getItem()->taxonomy;

                return isset( self::$data[ $taxonomy ]->$element ) ? self::$data[ $taxonomy ]->$element : "";
        }

        
        private static function setData() {

                $taxonomy = DataCenter::getItem()->taxonomy;

                if ( isset( self::$data[ $taxonomy ] ) ) {
                        return;
                }

                if ( count( self::$data ) > 100 ) {
                        array_shift( self::$data );
                }

                self::$data[ $taxonomy ] = self::getData( substr( $taxonomy, 3 ) );
        }

        
        private static function getData( $taxonomy = "" ) {

                return DB::wpdb()->get_row( DB::wpdb()->prepare( "SELECT * FROM " . DB::table( 'woocommerce_attribute_taxonomies' ) . " WHERE `attribute_name` = %s LIMIT 0, 1", $taxonomy ) );
        }

}
