<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields as PostFields;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\Usage;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\Meta;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends PostFields {

        
        public static function getData() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Coupon/Fields/Init', $contentType );

                $fields = [
                        "standard"          => Standard::get(),
                        "usage"             => Usage::get(),
                        "usage-restriction" => UsageRestriction::get(),
                        "usage-limits"      => UsageLimits::get(),
                        "meta"              => Meta::get(),
                        "other"             => Other::get()
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields', $fields, $contentType );
        }

}
