<?php




namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\User\Fields\Meta as UserMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Shipping implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Shipping Address", 'wp-import-export' ),
                        "priority" => 16,
                        "data"     => Helper::getNormalizedField( self::getMeta(), UserMeta::FIELD_TYPE, true )
                ];

                
                return \apply_filters( 'Wpie/Export/Customer/Fields/Shipping', $fields );
        }

        
        public static function getMeta() {

                $keys = [
                        'shipping_first_name', 'shipping_last_name', 'shipping_company',
                        'shipping_address_1', 'shipping_address_2', 'shipping_city',
                        'shipping_postcode', 'shipping_country', 'shipping_state',
                        'shipping_phone'
                ];

                
                return \apply_filters( 'Wpie/Export/Customer/Fields/Shipping/Meta', $keys );
        }

}
