<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Note extends Base {

        
        private static $notes = [];

        
        private static $emails = [];

        
        private static $orderId = 0;

        
        public static function get( $element = "" ) {

                self::setItems();

                return self::getItems( $element );
        }

        
        private static function getItems( $element = "" ) {

                if ( !Helper::isNonEmptyArray( self::$notes ) ) {
                        return '';
                }

                $data = [];

                foreach ( self::$notes as $note ) {

                        switch ( $element ) {

                                case 'content':
                                        $data[] = $note->content;
                                        break;
                                case 'date':
                                        $data[] = $note->date_created->date( 'Y-m-d H:i:s' );
                                        break;
                                case 'added_by':
                                        $data[] = $note->added_by;
                                        break;
                                case 'added_by_email':
                                        $data[] = self::getEmail( $note->added_by );
                                        break;
                                case 'visibility':
                                        $data[] = $note->customer_note ? 'customer' : 'private';
                                        break;
                        }
                }

                return $data;
        }

        
        private static function setItems() {

                if ( self::$orderId === DataCenter::getId() ) {
                        return;
                }

                self::$orderId = DataCenter::getId();

                self::$notes = \wc_get_order_notes( [ 'order_id' => self::$orderId, 'order' => 'ASC' ] );
        }

        
        private static function getEmail( $username = '' ) {

                if ( !Helper::isNonEmptyStr( $username ) ) {
                        return '';
                }

                if ( !isset( self::$emails[ $username ] ) ) {

                        if ( count( self::$emails ) > 100 ) {
                                array_shift( self::$emails );
                        }

                        $user = \get_user_by( 'login', $username );

                        if ( $user && isset( $user->user_email ) ) {
                                self::$emails[ $username ] = $user->user_email;
                        }
                }

                return isset( self::$emails[ $username ] ) ? self::$emails[ $username ] : '';
        }
}
