<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Shipping implements InterfaceField {

        
        const FIELD_TYPE = "shipping";

        
        public static function get() {


                $fields = [
                        "title"      => \esc_html__( "Shipping", 'wp-import-export' ),
                        "priority"   => 80,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Shipping Name', 'type' => self::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Shipping Method', 'type' => self::FIELD_TYPE, 'element' => 'method' ],
                                [ 'label' => 'Shipping Cost', 'type' => self::FIELD_TYPE, 'element' => 'cost' ],
                                [ 'label' => 'Shipping Taxes', 'type' => self::FIELD_TYPE, 'element' => 'taxes' ],
                                [ 'label' => 'Shipping Meta', 'type' => self::FIELD_TYPE, 'element' => 'meta' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Shipping', $fields, Settings::getContentType() );
        }

}
