<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Taxonomy as PostTaxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Taxonomy extends PostTaxonomy {

        
        public static function getField() {

                $taxonomy = DataCenter::getFieldOption( "element" );

                if ( 'product_visibility' === $taxonomy ) {
                        $field = (true === DataCenter::getFieldOption( "is_featured" )) ? 'featured' : '';
                        $data  = self::getVisibility( DataCenter::getId(), $field );
                } elseif ( 'product_type' === $taxonomy && isset( DataCenter::getItem()->post_type ) && DataCenter::getItem()->post_type === "product_variation" ) {
                        $data = "variation";
                } else {

                        $data = PostTaxonomy::getField();
                }

                
                return \apply_filters( 'Wpie/Export/Product/Taxonomy/Data', $data, $taxonomy, Settings::getContentType() );
        }

        
        private static function getVisibility( $id = 0, $field = '' ) {

                $terms      = \get_the_terms( $id, 'product_visibility' );
                $term_names = is_array( $terms ) ? \wp_list_pluck( $terms, 'name' ) : [];

                if ( 'featured' === $field ) {
                        return in_array( 'featured', $term_names, true ) ? 'Yes' : 'No';
                }

                $exclude_search  = in_array( 'exclude-from-search', $term_names, true );
                $exclude_catalog = in_array( 'exclude-from-catalog', $term_names, true );

                if ( $exclude_search && $exclude_catalog ) {
                        $catalog_visibility = 'hidden';
                } elseif ( $exclude_search ) {
                        $catalog_visibility = 'catalog';
                } elseif ( $exclude_catalog ) {
                        $catalog_visibility = 'search';
                } else {
                        $catalog_visibility = 'visible';
                }

                return $catalog_visibility;
        }

}
