<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy;

use WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy\DataCenters\Wpml;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Attribute\Engine as Attribute;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter as Base;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter {

        
        const FIELD_TYPE = "wpml";

        
        public static function processData( $data = "", $type = '' ) {

                if ( self::FIELD_TYPE !== $type ) {
                        return $data;
                }

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Wpml/Data', self::isAttributeTranslatable() ? Wpml::getField() : '', $type );
        }

        
        public static function isAttributeTranslatable() {

                if ( !Attribute::isAttribute() ) {
                        return true;
                }

                if ( !Attribute::isTranslatable() ) {
                        return true;
                }

                $attribute = isset( Base::getItem()->taxonomy ) ? Base::getItem()->taxonomy : '';

                if ( Attribute::getTranslatable( $attribute ) ) {
                        return true;
                }

                return false;
        }
}
