<?php



namespace WpieApp\Extensions\Export\Wpml\Controller\Items\Taxonomy\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\Wpml\Controller\Items\Base\Fields\Wpml as Base;

defined( 'WPIE__FILE__' ) || exit;


class Wpml extends Base implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Fields/Wpml', parent::get(), Settings::getContentType() );
        }

        
        public static function getFields() {

                $fields = parent::getFields();

                if ( self::isAttributeTranslatable() ) {
                        $fields[] = [ 'label' => 'Attribute translatable?', 'type' => self::FIELD_TYPE, 'element' => 'is-translatable' ];
                }

                return $fields;
        }

        
        public static function isAttributeTranslatable() {

                if ( 'wc' !== Settings::get( 'category' ) || 'attribute' !== Settings::get( 'content_type' ) ) {
                        return false;
                }

                global $woocommerce_wpml;

                if ( !$woocommerce_wpml || !isset( $woocommerce_wpml->settings ) ) {
                        return false;
                }

                return true;
        }
}
