<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\Post\Fields;

use WPSEO_News;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class News {

        
        public static function get() {

                if ( !class_exists( '\WPSEO_News' ) ) {
                        return [];
                }

                $includedPostTypes = WPSEO_News::get_included_post_types();

                if ( !in_array( Settings::getContentType(), $includedPostTypes ) ) {
                        return [];
                }

                return [
                        //General
                        [ 'label' => 'SEO News: Exclude this post from Google News', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_newssitemap-robots-index' ],
                        [ 'label' => 'SEO News: Stock tickers', 'type' => PostMeta::FIELD_TYPE, 'element' => '_yoast_wpseo_newssitemap-stocktickers' ],
                ];
        }
}
