<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Field {

        
        public static function get( $field = [], $order = 5 ) {

                $type = isset( $field[ 'type' ] ) ? $field[ 'type' ] : "";

                if ( Basic::isAllowed( $type ) ) {
                        return Basic::getField( $field, $order );
                }
                if ( Content::isAllowed( $type ) ) {
                        return Content::getField( $field, $order );
                }
                if ( Choice::isAllowed( $type ) ) {
                        return Choice::getField( $field, $order );
                }
                if ( Relational::isAllowed( $type ) ) {
                        return Relational::getField( $field, $order );
                }
                if ( Advanced::isAllowed( $type ) ) {
                        return Advanced::getField( $field, $order );
                }
                if ( Layout::isAllowed( $type ) ) {
                        return Layout::getField( $field, $order );
                }
                if ( AcfFields::isAllowed( $type ) ) {
                        return AcfFields::getField( $field, $order );
                }
                if ( WP::isAllowed( $type ) ) {
                        return WP::getField( $field, $order );
                }

                return Base::getField( $field, $order );
        }
}
