<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter;

use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook\ImageType as Facebook;

defined( 'WPIE__FILE__' ) || exit;


class ImageType {

        
        public static function getBlocks( $type = '' ) {

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                $choices = Facebook::getSource( $type );

                $choices[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"  => __( 'Image Source', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Image Source', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "image_type"          => [
                                        "order"      => 5,
                                        "label"      => __( 'Image Source', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_type" => [
                                                        "description"   => __( "SEO Twitter Image Source", 'wp-import-export' ),
                                                        "name"          => "fields/allinoneseo/twitter/image_type/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => $choices,
                                                        "choices-class" => [
                                                                "default"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "image_type-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "image_type" => [
                                                                                                "name"  => "fields/allinoneseo/twitter/image_type/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : default', 'wp-import-export' ) ],
                                                                                                        /* translators: %s: SEO Twitter Image Source */
                                                                                                        [ 'text' => sprintf( __( '%s all values are supported', 'wp-import-export' ), implode( ", ", array_keys( Facebook::getSource( $type ) ) ) ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                                "image_custom_url"    => [
                                        "order"      => 10,
                                        "label"      => __( 'Twitter Custom Image URL', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_custom_url" => [
                                                        "description" => __( "SEO Twitter Custom Image URL", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/twitter/image_custom_url/data",
                                                        "type"        => "text",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if image source is custom field name', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "image_custom_fields" => [
                                        "order"      => 15,
                                        "label"      => __( 'Twitter Custom Field Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_custom_fields" => [
                                                        "description" => __( "SEO Twitter Custom Field Name", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/twitter/image_custom_fields/data",
                                                        "type"        => "text",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if image source is Custom Image', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ]
                        ]
                ];
        }
}
