<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processField( $field = '' ) {

                static::updateSocial( $field );
        }

        
        protected static function updateSocial( $field = "" ) {

                $fields = [
                        'seofacebookprofileurl'    => 'facebook_page_url',
                        'seofacebook'              => 'facebook_page_url',
                        'seotwitterprofileurl'     => 'twitter_url',
                        'seotwitter'               => 'twitter_url',
                        'seoinstagramprofileurl'   => 'instagram_url',
                        'seotiktokurl'             => 'tiktok_url',
                        'seopinterestprofileurl'   => 'pinterest_url',
                        'seoyoutubeprofileurl'     => 'youtube_url',
                        'seolinkedinprofileurl'    => 'linkedin_url',
                        'seotumblrprofileurl'      => 'tumblr_url',
                        'seoyelpprofileurl'        => 'yelp_page_url',
                        'seosoundcloudprofileurl'  => 'sound_cloud_url',
                        'seowikipediaprofileurl'   => 'wikipedia_url',
                        'seomyspaceprofileurl'     => 'myspace_url',
                        'seowordpressurl'          => 'word_press_url',
                        'seoadditionalprofileurls' => 'profiles_additional_urls',
                        'seosameprofileusername'   => 'profiles_same_username',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                Base::update( 'allinoneseo/social/' . $fields[ $field ], $field );
        }
}
