<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\FacebookLagacy;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\TwitterLagacy;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Facebook;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Twitter;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Instagram;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Tiktok;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Pinterest;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Youtube;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Linkedin;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Tumblr;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\YelpPage;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\SoundCloud;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Wikipedia;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\Myspace;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\WordPress;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\ProfilesAdditional;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social\ProfilesUsername;

defined( 'WPIE__FILE__' ) || exit;


class Social implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"        => __( 'All In One SEO - Social', 'wp-import-export' ),
                        "class"        => "wpie-allinoneseo-social-fields",
                        "order"        => 32,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/User/Fields/AllInOneSeo/Social', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                if ( \version_compare( AIOSEO_VERSION, '4.2.2', '<' ) ) {
                        return [
                                "allinoneseo/social/facebook_page_url" => FacebookLagacy::getBlocks(),
                                "allinoneseo/social/twitter_url"       => TwitterLagacy::getBlocks(),
                        ];
                }

                return [
                        "allinoneseo/social/facebook_page_url"        => Facebook::getBlocks(),
                        "allinoneseo/social/twitter_url"              => Twitter::getBlocks(),
                        "allinoneseo/social/instagram_url"            => Instagram::getBlocks(),
                        "allinoneseo/social/tiktok_url"               => Tiktok::getBlocks(),
                        "allinoneseo/social/pinterest_url"            => Pinterest::getBlocks(),
                        "allinoneseo/social/youtube_url"              => Youtube::getBlocks(),
                        "allinoneseo/social/linkedin_url"             => Linkedin::getBlocks(),
                        "allinoneseo/social/tumblr_url"               => Tumblr::getBlocks(),
                        "allinoneseo/social/yelp_page_url"            => YelpPage::getBlocks(),
                        "allinoneseo/social/sound_cloud_url"          => SoundCloud::getBlocks(),
                        "allinoneseo/social/wikipedia_url"            => Wikipedia::getBlocks(),
                        "allinoneseo/social/myspace_url"              => Myspace::getBlocks(),
                        "allinoneseo/social/word_press_url"           => WordPress::getBlocks(),
                        "allinoneseo/social/profiles_additional_urls" => ProfilesAdditional::getBlocks(),
                        "allinoneseo/social/profiles_same_username"   => ProfilesUsername::getBlocks(),
                ];
        }
}
