<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Translation {

        
        public static function get() {

                if ( !DataCenter::canUpdate( "polylang/translations" ) ) {
                        return 0;
                }

                $source = DataCenter::get( "polylang/translations/source" );

                if ( 'export' === $source ) {
                        return self::getByExport();
                }

                return self::getByExport();
        }

        
        public static function getByExport() {

                $data = DataCenter::get( "polylang/translations/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }

                $translations = Helper::jsonDecode( $data, true );

                if ( !Helper::isNonEmptyArray( $translations ) ) {
                        return 0;
                }

                $item = 0;

                foreach ( $translations as $translation ) {

                        $lang = isset( $translation[ 'lang' ] ) ? $translation[ 'lang' ] : '';

                        $title = isset( $translation[ 'title' ] ) ? $translation[ 'title' ] : '';

                        $id = \absint( static::search( [ 'lang' => $lang, 'fields' => 'title', 'data' => $title ] ) );

                        if ( 0 < $id && static::validate( $id ) ) {
                                $item = $id;
                                break;
                        }
                }


                return $item;
        }

        
        public static function getByCustom() {

                $lang = Language::search( DataCenter::get( "polylang/translations/languages/data" ) );

                $data = DataCenter::get( "polylang/translations/custom/data" );

                if ( !Helper::isNonEmptyStr( $lang ) || !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }
                return static::validate( static::search( [ 'lang' => $lang, 'fields' => 'all', 'data' => $data ] ) );
        }

        
        public static function search( $options = [] ) {
                return 0;
        }

        
        public static function validate( $translation ) {

                return true;
        }
}
