<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Term;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Search as Term;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Filters as BaseFilters;

defined( 'WPIE__FILE__' ) || exit;


class Filters extends BaseFilters {

        
        protected static $isInit = false;

        
        protected static function add() {

                \add_filter( 'get_terms_args', [ __CLASS__, 'getTermsArgs' ], 1, 2 );
        }

        
        public static function removeMeta() {

                if ( !isset( \PLL()->sync ) || !isset( \PLL()->sync->term_metas ) ) {
                        return;
                }

                \remove_action( "add_term_metadata", [ \PLL()->sync->term_metas, 'can_synchronize_metadata' ], 1 );
                \remove_action( "update_term_metadata", [ \PLL()->sync->term_metas, 'can_synchronize_metadata' ], 1 );
                \remove_action( "delete_term_metadata", [ \PLL()->sync->term_metas, 'can_synchronize_metadata' ], 1 );

                if ( \is_callable(  \PLL()->sync->term_metas, 'remove_all_meta_actions' ) ) {
                        \PLL()->sync->term_metas->remove_all_meta_actions();
                } else {
                        self::removeMetaManually( \PLL()->sync->term_metas, 'term' );
                }

                \remove_action( "pll_save_term", [ \PLL()->sync->term_metas, 'save_object' ], 10 );
        }

        
        public static function getTranslation( $lang, $value, $taxonomy ) {

                static::$language = $lang;

                $term = Term::findTerm( 'all', $value, $taxonomy );

                static::$language = '';

                return $term;
        }

        
        public static function getTermsArgs( $args, $taxonomies ) {

                $language = static::getLanguage();

                if ( Helper::isNonEmptyStr( $language ) && \PLL()->model->is_translated_taxonomy( $taxonomies ) ) {
                        $args[ 'lang' ] = $language;
                }

                return $args;
        }

        
        public static function update( $lang ) {

                static::$language = $lang;

                static::init();
        }
}
