<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect {

        
        public static function processField( $field = '' ) {

                static::updateGeneral( $field );
                static::updateFacebook( $field );
                static::updateTwitter( $field );
                static::updateSchema( $field );
                static::updateAdvanced( $field );
        }

        
        public static function update( $path = '', $value = '' ) {

                Base::update( 'rankmathseo/' . $path, $value );
        }

        
        protected static function updateGeneral( $field = "" ) {

                $fields = [
                        'seotitle'         => 'title',
                        'seodescription'   => 'description',
                        'seopillarcontent' => 'pillar_content',
                        'seofocuskeyword'  => 'focus_keyword',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'general/' . $fields[ $field ], $field );
        }

        
        protected static function updateFacebook( $field = "" ) {

                $fields = [
                        'seofacebooktitle'                     => 'title',
                        'seofacebookdescription'               => 'description',
                        'seofacebookimage'                     => 'image',
                        'seofacebookaddiconoverlaytothumbnail' => 'enable_image_overlay',
                        'seofacebookiconoverlay'               => 'image_overlay',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'facebook/' . $fields[ $field ], $field );
        }

        
        protected static function updateTwitter( $field = "" ) {

                $fields = [
                        'seotwitterusedatafromfacebooktab'    => "use_facebook",
                        'seotwittertitle'                     => "title",
                        'seotwitterdescription'               => "description",
                        'seotwitterimage'                     => "image",
                        'seotwitteraddiconoverlaytothumbnail' => "enable_image_overlay",
                        'seotwittericonoverlay'               => "image_overlay",
                        'seotwittercardtype'                  => "card_type",
                        'seotwitterappdescription'            => "app_description",
                        'seotwitterappiphonename'             => "app_iphone_name",
                        'seotwitterappiphoneid'               => "app_iphone_id",
                        'seotwitterappiphoneurl'              => "app_iphone_url",
                        'seotwitterappipadname'               => "app_ipad_name",
                        'seotwitterappipadid'                 => "app_ipad_id",
                        'seotwitterappipadurl'                => "app_ipad_url",
                        'seotwitterappgooglepayname'          => "app_googleplay_name",
                        'seotwitterappgooglepayid'            => "app_googleplay_id",
                        'seotwitterappgooglepayurl'           => "app_googleplay_url",
                        'seotwitterappcountry'                => "app_country",
                        'seotwitterplayerurl'                 => "player_url",
                        'seotwitterplayersize'                => "player_size",
                        'seotwitterplayerstream'              => "player_stream",
                        'seotwitterplayerstreamcontenttype'   => "player_stream_ctype",
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'twitter/' . $fields[ $field ], $field );
        }

        
        protected static function updateSchema( $field = "" ) {

                $fields = [
                        'seoschema' => 'schema',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'schema/' . $fields[ $field ], $field );
        }

        
        protected static function updateAdvanced( $field = "" ) {


                $fields = [
                        "seorobotsnoindex"         => "noindex",
                        "seorobotsnofollow"        => "nofollow",
                        "seorobotsnoarchive"       => "noarchive",
                        "seorobotsnoimageindex"    => "noimageindex",
                        "seorobotsnosnippet"       => "nosnippet",
                        "seorobotsmaxsnippet"      => "max_snippet",
                        "seorobotsmaxvideopreview" => "max_video_preview",
                        "seorobotsmaximagepreview" => "max_image_preview",
                        "seocanonicalurl"          => "canonical_url",
                        "seobreadcrumbtitle"       => "breadcrumb_title",
                        "seoredirectstatus"        => "redirection",
                        "seodestinationurl"        => "destination_url",
                        "seoredirectiontype"       => "redirection_type",
                        "seodestinationurl"        => "destination_url",
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'advanced/' . $fields[ $field ], $field );
        }
}
