<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\Code;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\Description;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\DiscountType;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\Amount;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\AllowFreeShipping;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard\ExpiryDate;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard as PostStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends PostStandard implements InterfaceField {

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/title"               => Code::getBlocks(),
                                "standard/excerpt"             => Description::getBlocks(),
                                "standard/discount-type"       => DiscountType::getBlocks(),
                                "standard/amount"              => Amount::getBlocks(),
                                "standard/allow-free-shipping" => AllowFreeShipping::getBlocks(),
                                "standard/expiry-date"         => ExpiryDate::getBlocks(),
                        ]
                ];
        }

}
