<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Billing {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "billing/first_name" ) ) {
                        $data[ 'billing_first_name' ] = DataCenter::get( "billing/first_name/data" );
                }
                if ( DataCenter::canUpdate( "billing/last_name" ) ) {
                        $data[ 'billing_last_name' ] = DataCenter::get( "billing/last_name/data" );
                }
                if ( DataCenter::canUpdate( "billing/company" ) ) {
                        $data[ 'billing_company' ] = DataCenter::get( "billing/company/data" );
                }
                if ( DataCenter::canUpdate( "billing/address_1" ) ) {
                        $data[ 'billing_address_1' ] = DataCenter::get( "billing/address_1/data" );
                }
                if ( DataCenter::canUpdate( "billing/address_2" ) ) {
                        $data[ 'billing_address_2' ] = DataCenter::get( "billing/address_2/data" );
                }
                if ( DataCenter::canUpdate( "billing/city" ) ) {
                        $data[ 'billing_city' ] = DataCenter::get( "billing/city/data" );
                }
                if ( DataCenter::canUpdate( "billing/postcode" ) ) {
                        $data[ 'billing_postcode' ] = DataCenter::get( "billing/postcode/data" );
                }
                if ( DataCenter::canUpdate( "billing/country" ) ) {
                        $data[ 'billing_country' ] = DataCenter::get( "billing/country/data" );
                }
                if ( DataCenter::canUpdate( "billing/state" ) ) {
                        $data[ 'billing_state' ] = DataCenter::get( "billing/state/data" );
                }
                if ( DataCenter::canUpdate( "billing/email" ) ) {
                        $data[ 'billing_email' ] = DataCenter::get( "billing/email/data" );
                }
                if ( DataCenter::canUpdate( "billing/phone" ) ) {
                        $data[ 'billing_phone' ] = DataCenter::get( "billing/phone/data" );
                }


                return $data;
        }

        
        public static function import() {

                $metas = self::get();

                if ( !Helper::isNonEmptyArray( $metas ) ) {
                        return;
                }

                foreach ( $metas as $key => $data ) {
                        Meta::update( $key, $data );
                }
        }

        
        public static function getExcludes() {

                return [
                        'billing_first_name', 'billing_last_name', 'billing_company',
                        'billing_address_1', 'billing_address_2', 'billing_city',
                        'billing_postcode', 'billing_country', 'billing_state',
                        'billing_email', 'billing_phone'
                ];
        }
}
