<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Coupon as CouponItem;

defined( 'WPIE__FILE__' ) || exit;


class Coupon extends ItemBase {

        
        protected static $type = 'coupon';

        
        protected static function parepare() {
                self::parepareData( 'code' );
                self::parepareData( 'amount' );
                self::parepareData( 'tax' );
        }

        
        protected static function processItem( $index = 0 ) {

                $item = [
                        'code'   => self::getData( 'code', $index ),
                        'amount' => self::getData( 'amount', $index ),
                        'tax'    => self::getData( 'tax', $index ),
                ];

                if ( !Helper::isNonEmptyStr( $item[ 'code' ] ) ) {
                        return;
                }

                self::$existing[] = CouponItem::set( $item );
        }

        
        protected static function endProcess() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( 'remove' !== DataCenter::get( static::$type . "/manage-existing/data" ) ) {
                        return;
                }

                $items = DataCenter::getItem()->get_coupons();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( !in_array( $item->get_id(), self::$existing ) ) {
                                DataCenter::getItem()->remove_item( $item->get_id() );
                        }
                }
        }
}
