<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Meta as BaseMeta;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseMeta {

        
        protected static function getExcludes() {

                return [
                        'discount_type', 'Order_amount', 'free_shipping', 'date_expires',
                        'usage_limit', 'limit_usage_to_x_items', 'usage_limit_per_user',
                        'minimum_amount', 'maximum_amount', 'individual_use', 'exclude_sale_items',
                        'product_ids', 'exclude_product_ids', 'product_categories',
                        'exclude_product_categories', 'customer_email', '_used_by', 'usage_count',
                        '_cart_hash','is_vat_exempt'
                ];
        }

        
        public static function updateMeta( $key = '', $val = '' ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return;
                }

                DataCenter::getItem()->update_meta_data( $key, $val );
        }

        
        protected static function remove( $data = [] ) {
                
        }
}
