<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines\Items\Shipping as ShippingItem;

defined( 'WPIE__FILE__' ) || exit;


class ShippingMethod extends ItemBase {

        
        protected static $type = 'shipping-method';

        
        protected static function parepare() {
                self::parepareData( 'name' );
                self::parepareData( 'method' );
                self::parepareData( 'cost' );
                self::parepareJSONData( 'tax' );
                self::parepareJSONData( 'meta' );
        }

        
        protected static function processItem( $index = 0 ) {

                $taxes = self::getData( 'tax', $index );

                $item = [
                        'name'   => self::getData( 'name', $index ),
                        'method' => self::getData( 'method', $index ),
                        'cost'   => self::getData( 'cost', $index ),
                        'taxes'  => [
                                'total' => Helper::isNonEmptyArray( $taxes ) ? self::getTaxRateIds( array_values( $taxes ) ) : [],
                        ],
                        'meta'   => self::getData( 'meta', $index ),
                ];

                if ( !Helper::isNonEmptyStr( $item[ 'name' ] ) && !Helper::isNonEmptyStr( $item[ 'method' ] ) ) {
                        return;
                }

                self::$existing[] = ShippingItem::set( $item );
        }

        
        protected static function endProcess() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( 'remove' !== DataCenter::get( static::$type . "/manage-existing/data" ) ) {
                        return;
                }

                $items = DataCenter::getItem()->get_shipping_methods();

                if ( !Helper::isNonEmptyArray( $items ) ) {
                        return;
                }

                foreach ( $items as $item ) {

                        if ( !in_array( $item->get_id(), self::$existing ) ) {
                                DataCenter::getItem()->remove_item( $item->get_id() );
                        }
                }
        }
}
