<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon\Code;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon\Amount;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Coupon\Tax;

defined( 'WPIE__FILE__' ) || exit;


class Coupon implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Coupon', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Coupon', 'wp-import-export' ),
                        "class"  => "wpie-coupon-fields",
                        "order"  => 80,
                        "blocks" => [
                                "coupon/options" => Options::getBlocks(),
                                "coupon/code"    => Code::getBlocks(),
                                "coupon/amount"  => Amount::getBlocks(),
                                "coupon/tax"     => Tax::getBlocks(),
                        ]
                ];
        }

}
