<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note\Content;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note\Date;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note\Visibility;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Note\User;

defined( 'WPIE__FILE__' ) || exit;


class Note implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Note', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Notes', 'wp-import-export' ),
                        "class"  => "wpie-note-fields",
                        "order"  => 120,
                        "blocks" => [
                                "note/content"    => Content::getBlocks(),
                                "note/date"       => Date::getBlocks(),
                                "note/visibility" => Visibility::getBlocks(),
                                "note/user"       => User::getBlocks(),
                        ]
                ];
        }

}
