<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\Options;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\Name;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\Price;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\Quantity;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\ItemSubtotal;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\ItemTotal;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\SubtotalTax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\TotalTax;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\VariationAttributes;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\SKU;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Product implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Product', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Product', 'wp-import-export' ),
                        "class"  => "wpie-product-fields",
                        "order"  => 60,
                        "blocks" => [
                                "product/options"              => Options::getBlocks(),
                                "product/name"                 => Name::getBlocks(),
                                //  "product/price"                => Price::getBlocks(),
                                "product/quantity"             => Quantity::getBlocks(),
                                "product/item-subtotal"        => ItemSubtotal::getBlocks(),
                                "product/item-total"           => ItemTotal::getBlocks(),
                                "product/subtotal-tax"         => SubtotalTax::getBlocks(),
                                "product/total-tax"            => TotalTax::getBlocks(),
                                "product/variation-attributes" => VariationAttributes::getBlocks(),
                                "product/sku"                  => SKU::getBlocks(),
                                "product/meta"                 => Meta::getBlocks(),
                        ]
                ];
        }

}
