<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Engines;

use WC_Product_Variation;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Variation {

        
        public static function get() {

                if ( !Product::getProduct()->is_type( 'variation' ) ) {
                        return [];
                }

                $data = [];

                if ( DataCenter::canUpdate( "variations/description" ) ) {
                        $data[ 'description' ] = DataCenter::get( "variation/description/data" );
                }


                return $data;
        }

        
        public static function updateFromParent( $ids = [] ) {

                if ( !Helper::isNonEmptyArray( $ids ) ) {
                        return;
                }

                foreach ( $ids as $id ) {
                        self::update( $id );
                }
        }

        
        private static function update( $id = 0 ) {

                if ( 1 > \absint( $id ) ) {
                        return;
                }

                $product = Product::getObject( 'variation', $id );

                if ( !$product instanceof WC_Product_Variation ) {
                        return;
                }

                $stock = Stock::get();

                if ( isset( $stock[ 'sku' ] ) ) {
                        unset( $stock[ 'sku' ] );
                }

                $product->set_props(
                        array_merge(
                                Price::get(),
                                $stock,
                                Gallery::get(),
                                DataAndVisibility::get(),
                                General::get(),
                                Downloadable::get(),
                                Shipping::get(),
                                LinkedProducts::get(),
                                Advanced::get()
                        )
                );

                $product->save();

                unset( $product, $stock );
        }
}
