<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ManageStock {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Manage Stock', 'wp-import-export' ),
                        "desc"   => __( 'Manage Stock', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "manage-stock" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Stock?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "manage-stock" => [
                                                        "description"   => __( 'Track stock quantity for this product?', 'wp-import-export' ),
                                                        "name"          => "fields/stock/manage/data",
                                                        "type"          => "radio",
                                                        "default"       => "no",
                                                        "choices"       => [
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Option specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "no"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "manage-stock-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above Options are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/stock/manage/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
