<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Import\Controller\Items\Comment\Engine as CommentEngine;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Engines\Post;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Engines\Meta;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Engines\ReviewMeta;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends CommentEngine {

        
        protected static function prepareComment() {

                $comment = parent::prepareComment();

                $review = ReviewMeta::get();

                return array_merge( $comment, $review );
        }

        
        protected static function getPost() {

                return Post::get();
        }

        
        protected static function updateMeta() {

                Meta::import();
        }

        
        protected static function filterNewComment( $data = [] ) {

                if ( !isset( $data[ 'comment_type' ] ) || !Helper::isNonEmptyStr( $data[ 'comment_type' ] ) ) {
                        $data[ 'comment_type' ] = 'review';
                }

                return \wp_filter_comment( $data );
        }
}
