<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Post\Engines;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Post\Filters;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Language;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Translation as BaseTranslation;

defined( 'WPIE__FILE__' ) || exit;


class Translation extends BaseTranslation {

        
        public static function search( $options = [] ) {

                $lang = isset( $options[ 'lang' ] ) ? Language::search( $options[ 'lang' ] ) : '';

                if ( !Helper::isNonEmptyStr( $lang ) || $lang === Language::getImport() ) {
                        return 0;
                }

                $data = isset( $options[ 'data' ] ) ? $options[ 'data' ] : '';

                $args = [
                        [ "key" => 'title', "value" => $data ],
                ];

                $fields = isset( $options[ 'fields' ] ) ? $options[ 'fields' ] : '';

                if ( 'title' !== $fields ) {
                        $args[] = [ "key" => 'content', "value" => $data, 'relation' => 'OR' ];
                        $args[] = [ "key" => 'name', "value" => $data, 'relation' => 'OR' ];
                }

                $query = [
                        [ "args" => $args ],
                        [ "args" => [
                                        [ "key" => "type", "value" => Settings::getContentType() ]
                                ] ]
                ];

                return Filters::getTranslation( $lang, $query );
        }
}
