<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced\NoIndex;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced\BreadcrumbsTitle;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced\CanonicalUrl;

defined( 'WPIE__FILE__' ) || exit;


class Advanced implements InterfaceField {

        
        public static function get() {

                return [
                        "label"  => __( 'Yoast SEO - Advanced', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-advanced-fields",
                        "order"  => 32.2,
                        "blocks" => static::getFields()
                ];
        }

        
        protected static function getFields() {
                
                return [
                        "yoastseo/advanced/noindex"           => NoIndex::getBlocks(),
                        "yoastseo/advanced/breadcrumbs_title" => BreadcrumbsTitle::getBlocks(),
                        "yoastseo/advanced/canonical_url"     => CanonicalUrl::getBlocks(),
                ];
        }
}
