<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        public static function processField( $field = '' ) {

                parent::processField( $field );

                static::updateSchema( $field );

                static::updateNews( $field );

                static::updateVideo( $field );
        }

        
        protected static function updateSchema( $field = "" ) {

                $fields = [
                        'seoschemapagetype'    => 'page_type',
                        'seoschemaarticletype' => 'article_type',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/schema/' . $fields[ $field ], $field );
        }

        
        protected static function updateNews( $field = "" ) {

                if ( !class_exists( '\WPSEO_News' ) ) {
                        return;
                }

                $fields = [
                        'seonewsexcludethispostfromgooglenews' => 'excludes_google_news',
                        'seonewsstocktickers'                  => 'stock_tickers',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/news/' . $fields[ $field ], $field );
        }

        
        protected static function updateVideo( $field = "" ) {

                if ( !defined( 'WPSEO_VIDEO_VERSION' ) ) {
                        return;
                }

                $fields = [
                        'seovideothumbnail'                        => 'thumbnail',
                        'seovideoduration'                         => 'duration',
                        'seovideotags'                             => 'tags',
                        'seovideomarkthisvideoasnotfamilyfriendly' => 'family_friendly',
                        'seovideorating'                           => 'rating',
                        'seovideometa'                             => 'meta',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'yoastseo/video/' . $fields[ $field ], $field );
        }
}
