<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video\Thumbnail;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video\Duration;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video\Tags;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video\FamilyFriendly;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines\Video as VideoEngine;

defined( 'WPIE__FILE__' ) || exit;


class Video implements InterfaceField {

        
        public static function get() {

                if ( !VideoEngine::isVideoseoActiveForPosttype( Settings::getContentType() ) ) {
                        return [];
                }

                $fields = [
                        "label"  => __( 'Yoast SEO - Video Addon', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-video-fields",
                        "order"  => 32.5,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/Post/Fields/YoastSeo/Video', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/video/thumbnail"       => Thumbnail::getBlocks(),
                        "yoastseo/video/duration"        => Duration::getBlocks(),
                        "yoastseo/video/tags"            => Tags::getBlocks(),
                        "yoastseo/video/family_friendly" => FamilyFriendly::getBlocks()
                ];
        }
}
