<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;
use WpieApp\Modules\Import\Controller\Items\User\Engines\Meta;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engine;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        public static function get() {

                if ( !\defined( 'WPSEO_PREMIUM_VERSION' ) ) {
                        return [];
                }

                $data = self::getExisting();

                $fields = [
                        'prefix'        => 'honorificPrefix',
                        'suffix'        => 'honorificSuffix',
                        'date'          => 'birthDate',
                        'gender'        => 'gender',
                        'awards'        => 'award',
                        'expertise'     => 'knowsAbout',
                        'language'      => 'knowsLanguage',
                        'job_title'     => 'jobTitle',
                        'employer_name' => 'worksFor',
                ];

                foreach ( $fields as $key => $field ) {

                        if ( !DataCenter::canUpdate( 'yoastseo/schema/' . $key ) ) {
                                continue;
                        }

                        $fieldData = DataCenter::get( "yoastseo/schema/" . $key . "/data" );

                        if ( in_array( $key, [ 'awards', 'expertise', 'language' ] ) ) {
                                $separator = DataCenter::get( "yoastseo/schema/" . $key . "/separator" );
                                $fieldData = Helper::strToArr( $fieldData, $separator );
                        }

                        $data[ $field ] = $fieldData;
                }


                return [ Engine::PREFIX . 'user_schema' => $data ];
        }

        
        private static function getExisting() {

                if ( DataCenter::isNewItem() ) {
                        return [];
                }

                return Meta::get( Engine::PREFIX . 'user_schema' );
        }
}
