<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Prefix;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Suffix;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Date;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Gender;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Awards;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Expertise;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\Language;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\JobTitle;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema\EmployerName;

defined( 'WPIE__FILE__' ) || exit;


class Schema implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"  => __( 'Yoast SEO - Schema', 'wp-import-export' ),
                        "class"  => "wpie-yoastseo-schema-fields",
                        "order"  => 32.3,
                        "blocks" => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/User/Fields/YoastSeo/Schema', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "yoastseo/schema/prefix"        => Prefix::getBlocks(),
                        "yoastseo/schema/suffix"        => Suffix::getBlocks(),
                        "yoastseo/schema/date"          => Date::getBlocks(),
                        "yoastseo/schema/gender"        => Gender::getBlocks(),
                        "yoastseo/schema/awards"        => Awards::getBlocks(),
                        "yoastseo/schema/expertise"     => Expertise::getBlocks(),
                        "yoastseo/schema/language"      => Language::getBlocks(),
                        "yoastseo/schema/job_title"     => JobTitle::getBlocks(),
                        "yoastseo/schema/employer_name" => EmployerName::getBlocks(),
                ];
        }
}
