<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller;

use WPSEO_Post_Type;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Manager as Term;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Manager as User;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Import/Post/Init', [ __CLASS__, 'initPost' ] );

                \add_action( 'Wpie/Import/Term/Init', [ __CLASS__, 'initTerm' ] );

                \add_action( 'Wpie/Import/User/Init', [ __CLASS__, 'initUser' ] );
        }

        
        public static function initPost( $contentType = '' ) {

                if ( !in_array( $contentType, WPSEO_Post_Type::get_accessible_post_types() ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTerm( $contentType = '' ) {

                if ( !in_array( $contentType, YoastSEO()->helpers->taxonomy->get_public_taxonomies() ) ) {
                        return;
                }

                Term::init();
        }

        
        public static function initUser( $contentType = '' ) {

                User::init();
        }
}
