<?php



namespace WpieApp\Modules\Addons\View\Addons;

defined( 'WPIE__FILE__' ) || exit;


class Import {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Addons/View/Addons/Import',
                        [
                                "title"    => __( 'Import Addons', 'wp-import-export' ),
                                "isActive" => true,
                                "order"    => 10,
                                "desc"     => __( 'Import Addon List', 'wp-import-export' ),
                                "fields"   => [
                                        "pro-addons"  => [
                                                "order"      => 10,
                                                "label"      => __( 'Premium Addons', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "addons" => [
                                                                "type"  => "addons",
                                                                "data"  => self::getPremiumAddons(),
                                                                "order" => 10,
                                                        ]
                                                ],
                                        ],
                                        "free-addons" => [
                                                "order"      => 20,
                                                "label"      => __( 'Free Addons', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "addons" => [
                                                                "type"  => "addons",
                                                                "order" => 20,
                                                                "data"  => self::getFreeAddons(),
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getPremiumAddons() {

                $addons = [
                        'wc'             => [
                                "title"       => __( 'WooCommerce', 'wp-import-export' ),
                                "order"       => 10,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'WooCommerce',
                                        'label'   => 'WooCommerce',
                                        'version' => '3.4',
                                ],
                                "description" => __( 'Import Products, Orders, Product Categories and coupons to WordPress Site', 'wp-import-export' ),
                        ],
                        'schedules'      => [
                                "title"       => __( 'Schedules', 'wp-import-export' ),
                                "order"       => 20,
                                "isPro"       => true,
                                "description" => __( 'Import automatically & periodically to WordPress Site', 'wp-import-export' ),
                        ],
                        'acf'            => [
                                "title"       => __( 'ACF / ACF Pro', 'wp-import-export' ),
                                "order"       => 30,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'acf',
                                        'label'   => 'ACF / ACF Pro',
                                        'version' => '5.8',
                                ],
                                "description" => __( 'Import Advanced Custom Fields Data to WordPress Site', 'wp-import-export' ),
                        ],
                        'wpml'           => [
                                "title"       => __( 'WPML', 'wp-import-export' ),
                                "order"       => 40,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'WPML',
                                        'label'   => 'WPML',
                                        'version' => '4.3',
                                ],
                                "description" => __( 'Import multilingual content to WordPress Site', 'wp-import-export' ),
                        ],
                        'polylang'       => [
                                "title"       => __( 'Polylang', 'wp-import-export' ),
                                "order"       => 50,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'Polylang',
                                        'label'   => 'Polylang',
                                        'version' => '2.6',
                                ],
                                "description" => __( 'Import multilingual content to WordPress Site', 'wp-import-export' ),
                        ],
                        'rank-math'      => [
                                "title"       => __( 'RankMath SEO', 'wp-import-export' ),
                                "order"       => 60,
                                "isPro"       => true,
                                "description" => __( 'Import RankMath SEO Settings to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'rankmathseo',
                                        'label'   => 'RankMath SEO',
                                        'version' => '1.0.57',
                                ],
                        ],
                        'all-in-one-seo' => [
                                "title"       => __( 'All In One SEO', 'wp-import-export' ),
                                "order"       => 70,
                                "isPro"       => true,
                                "required"    => [
                                        'plugin'  => 'AllInOneSeo',
                                        'label'   => 'All In One SEO',
                                        'version' => '4.0.3',
                                ],
                                "description" => __( 'Import All In One SEO Settings to WordPress Site', 'wp-import-export' ),
                        ],
                        'gcloud'         => [
                                "title"       => __( 'Google Cloud Storage', 'wp-import-export' ),
                                "order"       => 80,
                                "isPro"       => true,
                                "description" => __( 'Import File from Google Cloud Storage to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'php',
                                        'label'   => 'PHP',
                                        'version' => WPIE_VENDOR_PHP_VERSION,
                                ],
                        ],
                        'gdrive'         => [
                                "title"       => __( 'Google Drive', 'wp-import-export' ),
                                "order"       => 90,
                                "isPro"       => true,
                                "description" => __( 'Import File from Google Drive to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'php',
                                        'label'   => 'PHP',
                                        'version' => WPIE_VENDOR_PHP_VERSION,
                                ],
                        ],
                        'ftp'            => [
                                "title"       => __( 'Upload From FTP', 'wp-import-export' ),
                                "order"       => 100,
                                "isPro"       => true,
                                "description" => __( 'Import File from FTP to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'php',
                                        'label'   => 'PHP',
                                        'version' => WPIE_VENDOR_PHP_VERSION,
                                ],
                        ],
                        'sftp'           => [
                                "title"       => __( 'Upload From SFTP', 'wp-import-export' ),
                                "order"       => 110,
                                "isPro"       => true,
                                "description" => __( 'Import File from SFTP to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'php',
                                        'label'   => 'PHP',
                                        'version' => WPIE_VENDOR_PHP_VERSION,
                                ],
                        ],
                        'dropbox'        => [
                                "title"       => __( 'Dropbox', 'wp-import-export' ),
                                "order"       => 120,
                                "isPro"       => true,
                                "description" => __( 'Import File from Dropbox to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'php',
                                        'label'   => 'PHP',
                                        'version' => WPIE_VENDOR_PHP_VERSION,
                                ],
                        ],
//                        'onedrive'       => [
//                                "title"       => __( 'Microsoft Onedrive', 'wp-import-export' ),
//                                "order"       => 130,
//                                "isPro"       => true,
//                                "description" => __( 'Import File from Microsoft Onedrive to WordPress Site', 'wp-import-export' ),
//                                "required"    => [
//                                        'plugin'  => 'php',
//                                        'label'   => 'PHP',
//                                        'version' => WPIE_VENDOR_PHP_VERSION,
//                                ],
//                        ],
                ];

                return $addons;
        }

        
        public static function getFreeAddons() {

                $addons = [
                        'background' => [
                                "title"       => __( 'Background', 'wp-import-export' ),
                                "order"       => 10,
                                "isPro"       => false,
                                "description" => __( 'Import in Background to WordPress Site', 'wp-import-export' ),
                        ],
                        'yoast'      => [
                                "title"       => __( 'Yoast SEO', 'wp-import-export' ),
                                "order"       => 20,
                                "isPro"       => false,
                                "description" => __( 'Import Yoast SEO Settings to WordPress Site', 'wp-import-export' ),
                                "required"    => [
                                        'plugin'  => 'yoastseo',
                                        'label'   => 'Yoast Seo',
                                        'version' => '15.0',
                                ],
                        ],
                        'user'       => [
                                "title"       => __( 'User', 'wp-import-export' ),
                                "order"       => 30,
                                "isPro"       => false,
                                "description" => __( "Import Users & User's metadata to WordPress Site", 'wp-import-export' ),
                        ],
                        'url-upload' => [
                                "title"       => __( 'Upload From URL', 'wp-import-export' ),
                                "order"       => 40,
                                "isPro"       => false,
                                "description" => __( "Import File from URL to WordPress Site", 'wp-import-export' ),
                        ],
                ];

                return $addons;
        }
}
