<?php



namespace WpieApp\Modules\Debug\View\Logs\SystemInfo;

defined( 'WPIE__FILE__' ) || exit;


class Theme {

        
        public static function get() {

                global $_wp_theme_features;

                $activeTheme = \wp_get_theme();

                // Populate the section for the currently active theme.
                $themeFeatures = [];

                if ( !empty( $_wp_theme_features ) ) {
                        foreach ( $_wp_theme_features as $feature => $options ) {
                                $themeFeatures[] = $feature;
                        }
                }

                if ( isset( $themeFeatures->parent_theme ) ) {
                        $parentTheme = sprintf(
                                /* translators:: 1: Theme name. 2: Theme slug. */
                                __( '%1$s (%2$s)' , 'wp-import-export'),
                                isset( $themeFeatures->parent_theme ) ? $themeFeatures->parent_theme : "",
                                isset( $themeFeatures->template ) ? $themeFeatures->template : ""
                        );
                } else {
                        $parentTheme = false;
                }

                return [
                        "label" => __( 'Theme', 'wp-import-export' ),
                        "order" => 100,
                        "data"  => [
                                'name'           => [
                                        'label' => __( 'Name', 'wp-import-export' ),
                                        'data'  => sprintf(
                                                /* translators:: 1: Theme name. 2: Theme slug. */
                                                __( '%1$s (%2$s)', 'wp-import-export' ),
                                                isset( $activeTheme->name ) ? $activeTheme->name : "",
                                                isset( $activeTheme->stylesheet ) ? $activeTheme->stylesheet : ""
                                        ),
                                ],
                                'version'        => [
                                        'label' => __( 'Version', 'wp-import-export' ),
                                        'data'  => isset( $activeTheme->version ) ? $activeTheme->version : "",
                                ],
                                'author'         => [
                                        'label' => __( 'Author', 'wp-import-export' ),
                                        'data'  => isset( $activeTheme->author ) ? wp_kses( $activeTheme->author, [] ) : "",
                                ],
                                'author_website' => [
                                        'label' => __( 'Author website', 'wp-import-export' ),
                                        'data'  => $activeTheme->display( 'AuthorURI' )
                                ],
                                'parent_theme'   => [
                                        'label' => __( 'Parent theme', 'wp-import-export' ),
                                        'data'  => $parentTheme
                                ],
                                'theme_features' => [
                                        'label' => __( 'Theme features', 'wp-import-export' ),
                                        'data'  => implode( ', ', $themeFeatures ),
                                ],
                                'theme_path'     => [
                                        'label' => __( 'Theme directory location', 'wp-import-export' ),
                                        'data'  => \get_stylesheet_directory(),
                                ]
                        ]
                ];
        }

}
