<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Post implements InterfaceField {

        
        const FIELD_TYPE = "post";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Post", 'wp-import-export' ),
                        "priority" => 20,
                        "data"     => [
                                [ 'label' => 'Post ID', 'type' => Standard::FIELD_TYPE, 'element' => 'comment_post_ID' ],
                                [ 'label' => 'Post title', 'type' => self::FIELD_TYPE, 'element' => 'post_title', 'isFiltered' => false ],
                                [ 'label' => 'Post slug', 'type' => self::FIELD_TYPE, 'element' => 'post_name', 'isFiltered' => false ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Comment/Fields/Post', $fields, Settings::getContentType() );
        }

}
