<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Standard implements InterfaceField {

        
        const FIELD_TYPE = "standard";

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Standard", 'wp-import-export' ),
                        "priority" => 10,
                        "data"     => [
                                [ 'label' => 'ID', 'type' => self::FIELD_TYPE, 'element' => 'comment_ID' ],
                                [ 'label' => 'Type', 'type' => self::FIELD_TYPE, 'element' => 'comment_type' ],
                                [ 'label' => 'Content', 'type' => self::FIELD_TYPE, 'element' => 'comment_content' ],
                                [ 'label' => 'Karma', 'type' => self::FIELD_TYPE, 'element' => 'comment_karma' ],
                                [ 'label' => 'Approved', 'type' => self::FIELD_TYPE, 'element' => 'comment_approved' ],
                                [ 'label' => 'Agent', 'type' => self::FIELD_TYPE, 'element' => 'comment_agent' ],
                                [ 'label' => 'User ID', 'type' => self::FIELD_TYPE, 'element' => 'user_id' ],
                                [ 'label' => 'User Email', 'type' => self::FIELD_TYPE, 'element' => 'user_email' ],
                                [ 'label' => 'Date', 'type' => self::FIELD_TYPE, 'element' => 'comment_date', 'isDate' => true ],
                                [ 'label' => 'Date GMT', 'type' => self::FIELD_TYPE, 'element' => 'comment_date_gmt', 'isDate' => true ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Comment/Fields/Standard', $fields, Settings::getContentType() );
        }

}
