<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Author {

        
        private static $users = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                $val = "";

                switch ( $element ) {
                        case 'user_login':
                        case 'user_email':
                                $user = self::getUser();
                                if ( $user ) {
                                        $val = isset( $user->$element ) ? $user->$element : "";
                                }
                                break;
                        case 'meta':
                                $key = DataCenter::getFieldOption( "key" );

                                if ( Helper::isNonEmptyStr( $key ) ) {
                                        $val = \get_user_meta( DataCenter::getItem()->post_author, $key, true );
                                }
                                break;
                }

                
                return \apply_filters( 'Wpie/Export/Post/Author/Data', $val, $element, Settings::getContentType() );
        }

        
        public static function getUser() {

                $userId = DataCenter::getItem()->post_author;

                if ( $userId < 1 ) {
                        return false;
                }

                if ( !isset( self::$users[ $userId ] ) ) {

                        if ( count( self::$users ) > 5 ) {
                                self::$users = [];
                        }

                        self::$users[ $userId ] = \get_user_by( 'id', $userId );
                }

                return self::$users[ $userId ];
        }

}
