<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Media;

defined( 'WPIE__FILE__' ) || exit;


class Image extends Media {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                $images = static::getImages();

                return parent::getData( $images, $element );
        }

        
        protected static function getImages() {

                $thumbnail = \get_post_thumbnail_id( DataCenter::getItem() );

                $images = [];

                if ( $thumbnail !== false && Helper::toInt( $thumbnail ) > 0 ) {
                        $images[] = $thumbnail;
                }

                
                return \apply_filters( 'Wpie/Export/Post/Image/Ids', $images, Settings::getContentType() );
        }

}
