<?php



namespace WpieApp\Modules\Export\Controller\Items\Post\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\Filter;
use WpieApp\Modules\Export\Controller\Items\User\Filters\Meta as UserFilter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Author extends BaseFilter {
        
         
        protected static $isJoinQueryAdded = false;

        
        private static $isMetaQueryAdded = false;

        
        public static function addRule() {

                $fields = [ 'meta', 'capabilities' ];

                $element = Filter::getOption( "element", "field" );

                if ( in_array( $element, $fields ) ) {
                        self::addMetaRule();
                        return;
                }
                self::addUserRule();
        }

        
        private static function addUserRule() {

                $element = Filter::getOption( "element", "field" );

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = self::getTableAlias( 'users' ) . "." . $element;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule );

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->users . " AS " . self::getTableAlias( 'users' ) . " ON (" . DB::wpdb()->posts . ".`post_author` = " . self::getTableAlias( 'users' ) . ".`ID`)" );
        }

        
        private static function addMetaRule() {

                $element = Filter::getOption( "element", "field" );

                $metakey = ($element === 'capabilities') ? DB::prefix() . "capabilities" : Filter::getOption( "key", "field" );

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = self::getTableAlias( 'usermeta' ) . ".`meta_value`";

                $comparison = Filter::getOption( 'comparison' );

                if ( $element === 'capabilities' ) {
                        $rule = UserFilter::bulidRoleRule( $field, $data, $condition, $comparison );
                } else {
                        $rule = Filter::bulidRule( $field, $data, $condition, $comparison );
                }

                Filter::addWhere( DB::wpdb()->prepare( self::getTableAlias( 'usermeta' ) . ".`meta_key` = %s AND ( " . $rule . " ) ", $metakey ) );

                if ( self::$isMetaQueryAdded ) {
                        return;
                }

                self::$isMetaQueryAdded = true;

                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->usermeta . " AS " . self::getTableAlias( 'usermeta' ) . " ON (" . DB::wpdb()->posts . ".`post_author` = " . self::getTableAlias( 'usermeta' ) . ".`user_id`)" );
        }

}
