<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends BaseFilter {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $tableAlias = "t";
                if ( in_array( $element, [ 'description', 'parent', 'count' ] ) ) {
                        $tableAlias = "tt";
                }

                $field = $tableAlias . "." . $element;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                Filter::addWhere( $rule );
        }

}
