<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url;

use WP_Error;
use WpieApp\Core\Admin\AutoLoader;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\File;
use WpieApp\Modules\Import\Controller\File\Downloader\Base\Manager as Filesystem;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Filesystem {

        
        public static function Download() {

                AutoLoader::loadGeneral();

                $url = Settings::getOption( 'uploder/options/url' );

                if ( !Helper::isNonEmptyStr( $url ) ) {
                        return new WP_Error( 'wpieError', __( "File Url is empty", 'wp-import-export' ) );
                }

                $exts = Helper::getSupportedExt();

                $uri = new File( $url, $exts );

                $data = $uri->download();

                if ( \is_wp_error( $data ) ) {
                        return new WP_Error( 'wpieError', __( "File download failed", 'wp-import-export' ) . ' : ' . $data->get_error_message() );
                }

                $fileName = isset( $data[ 'name' ] ) ? $data[ 'name' ] : "";

                $path = self::setFile( $fileName );

                $tempPath = isset( $data[ 'path' ] ) ? $data[ 'path' ] : "";

                if ( !Helper::duplicate( $tempPath, $path ) ) {
                        return new \WP_Error( 'wpie_import_error', __( 'Failed to Copy Downloaded file', 'wp-import-export' ) );
                }

                Helper::deleteFile( $tempPath );

                return $path;
        }
}
