<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\ExistingItemsFields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function get() {

                $contentType = Settings::getContentLabel();

                $fields = [
                        /* translators: %s: content type */
                        "label"  => sprintf( __( "Search %s", 'wp-import-export' ), $contentType ),
                        "class"  => "wpie-existing-items-fields",
                        "order"  => 10,
                        "notes"  => static::getBaseNotes(),
                        "blocks" => [
                                "search-fields" => [
                                        /* translators: %s: content type */
                                        "title"    => sprintf( __( "Search %s", 'wp-import-export' ), $contentType ),
                                        "isActive" => true,
                                        "order"    => 5,
                                        /* translators: %s: content type */
                                        "desc"     => sprintf( __( "Search Existing %s", 'wp-import-export' ), $contentType ),
                                        "fields"   => [
                                                "select-file" => [
                                                        "order"      => 5,
                                                        /* translators: %s: content type */
                                                        "label"      => sprintf( __( "Search %s by", 'wp-import-export' ), $contentType ),
                                                        "sub-fields" => [
                                                                "fields-list" => static::getFields()
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Import/Base/Fields/Standard', $fields, Settings::get( 'content_type' ) );
        }

        
        public static function getFields() {

                return [];
        }

        
        public static function getBaseNotes() {

                
                return \apply_filters( 'Wpie/Import/Post/Fields/Standard/Notes', static::getNotes() );
        }

        
        public static function getNotes() {

                
                return [
                        [
                                "type"       => "success",
                                "icon-class" => "fa-solid fa-circle-info ",
                                "class"      => 'me-3',
                                "text"       => __( 'When your data is unique, auto-detect performs flawlessly', 'wp-import-export' ),
                        ]
                ];
        }
}
