<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Attachment;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Source {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Source', 'wp-import-export' ),
                        "desc"          => __( 'Attachment Source', 'wp-import-export' ),
                        "isRecommended" => true,
                        "order"         => 10,
                        "uid"           => Helper::randStr( "wpie-field-" ),
                        "isActive"      => true,
                        "fields"        => [
                                "item-source"    => [
                                        "order"      => 10,
                                        "label"      => __( 'Attachment Source', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-source" => [
                                                        "description" => __( 'Attachment Souce Options', 'wp-import-export' ),
                                                        "type"        => "radio",
                                                        "class"       => "wpie-attachment-source",
                                                        "placeholder" => __( "Select Comparison", 'wp-import-export' ),
                                                        "order"       => 10,
                                                        "default"     => "url",
                                                        "name"        => "fields/attachments/source/option",
                                                        "choices"     => [
                                                                "url"   => __( "Download from URL", 'wp-import-export' ),
                                                                "media" => __( "Use attachments from Media Library", 'wp-import-export' ),
                                                                "dir"   => __( "Use attachments from Directory", 'wp-import-export' ),
                                                        ],
                                                        "hints"       => [
                                                                "url"   => __( "Download new Attachments from any urls", 'wp-import-export' ),
                                                                "media" => __( "Use Only Existing attachments from Media Library", 'wp-import-export' ),
                                                                "dir"   => __( "From", 'wp-import-export' ) . " " . WPIE_UPLOAD_TEMP_DIR,
                                                        ]
                                                ],
                                        ],
                                ],
                                "item-data"      => [
                                        "order"      => 20,
                                        "label"      => __( 'Attachment Data', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-data" => [
                                                        "description" => __( 'Attachment actual data', 'wp-import-export' ),
                                                        "type"        => "textarea",
                                                        "class"       => "wpie-attachment-data",
                                                        "order"       => 20,
                                                        "name"        => "fields/attachments/source/data",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Input Data : Based on attachments source', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 30,
                                        "label"      => __( 'Attachment Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'each Attachment separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "class"       => "wpie-attachment-data-separator",
                                                        "order"       => 30,
                                                        "name"        => "fields/attachments/source/separator",
                                                        "value"       => "||",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
