<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Image;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Description', 'wp-import-export' ),
                        "desc"   => __( 'Image Description', 'wp-import-export' ),
                        "order"  => 50,
                        "uid"    => Helper::randStr( "wpie-field-" ),
                        "fields" => [
                                "item-title"     => [
                                        "order"      => 20,
                                        "label"      => __( 'Image Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-description-data" => [
                                                        "description" => __( 'Image Description', 'wp-import-export' ),
                                                        "type"        => "textarea",
                                                        "class"       => "wpie-image-description",
                                                        "order"       => 20,
                                                        "name"        => "fields/images/description/data",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only new images will be affected. Existing images will be unaffected.', 'wp-import-export' ), 'class' => 'text-danger' ]
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 30,
                                        "label"      => __( 'Image Description separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-description-separator" => [
                                                        "description" => __( 'each Image Description separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "class"       => "wpie-image-description-separator",
                                                        "order"       => 30,
                                                        "name"        => "fields/images/description/separator",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : ||', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
