<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Meta\Meta as MetaField;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\Meta\Options;

defined( 'WPIE__FILE__' ) || exit;


class Meta implements InterfaceField {

        
        public static function get( $options = [] ) {


                $fields = [
                        "label"           => __( 'Meta', 'wp-import-export' ),
                        "class"           => "wpie-meta-fields",
                        "uid"             => Helper::randStr( "wpie-block-" ),
                        "hide-bulk-check" => true,
                        "order"           => 30,
                        "blocks"          => [
                                "options" => Options::getBlocks(),
                                "meta"    => MetaField::getBlocks(),
                                
                        ]
                ];

                $fields = Helper::isNonEmptyArray( $options ) ? array_merge( $fields, $options ) : $fields;

                
                return \apply_filters( 'Wpie/Import/Base/Fields/Meta', $fields, Settings::get( 'content_type' ) );
        }

}
