<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Author {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "author/name" ) ) {
                        $data[ "comment_author" ] = DataCenter::get( "author/name/data" );
                }
                if ( DataCenter::canUpdate( "author/email" ) ) {
                        $email                          = \filter_var( DataCenter::get( "author/email/data" ), FILTER_VALIDATE_EMAIL );
                        $data[ "comment_author_email" ] = ($email === false ) ? '' : $email;
                }
                if ( DataCenter::canUpdate( "author/url" ) ) {
                        $data[ "comment_author_url" ] = DataCenter::get( "author/url/data" );
                }
                if ( DataCenter::canUpdate( "author/ip" ) ) {
                        $data[ "comment_author_IP" ] = self::getIp( DataCenter::get( "author/ip/data" ) );
                }


                return $data;
        }

        
        private static function getIp( $data = '' ) {

                $default = Helper::_server( 'REMOTE_ADDR' );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return $default;
                }

                return preg_replace( '/[^0-9a-fA-F:., ]/', '', $default );
        }

}
