<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class CommentParent {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Parent', 'wp-import-export' ),
                        "desc"          => __( 'Parent', 'wp-import-export' ),
                        "order"         => 30,
                        "isRecommended" => true,
                        "fields"        => [
                                "parent" => [
                                        "order"      => 10,
                                        "label"      => __( 'Parent', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "parent" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( "Content of this %s parent, if any.", 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/parent/content/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only for searching purpose', 'wp-import-export' ) ],
                                                                [ "text" => __( 'For accurate search', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "date"   => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( "Date of this %s parent, if any.", 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/parent/date/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only for searching purpose', 'wp-import-export' ) ],
                                                                [ "text" => __( 'For accurate search', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
