<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Search;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Search\Base;

defined( 'WPIE__FILE__' ) || exit;


class Post extends Base {

        
        protected static function init() {

                // Used to filter values.
                self::$allowedKeys = [ 'name', 'slug', 'content', 'excerpt', 'author', 'date', 'title', 'modified', 'parent', 'type', 'id' ];

                self::$dbTable = DB::wpdb()->posts;

                self::$prefix = Helper::randStr( 'posts_' );
        }

        
        protected static function fixKey( $key = "" ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return "";
                }

                $key = Helper::sanitizeKey( $key );

                if ( Helper::contains( $key, 'id' ) ) {
                        return "ID";
                }

                if ( 'slug' === $key ) {
                        $key = 'name';
                }

                $newKey = "";

                foreach ( self::$allowedKeys as $postKey ) {
                        if ( Helper::contains( $key, $postKey ) ) {
                                $newKey = "post_" . $postKey;
                                break;
                        }
                }

                return $newKey;
        }

        
        protected static function sanitize( $data = '', $key = '' ) {

                if ( in_array( $key, [ 'post_name', 'post_title' ] ) ) {

                        if ( !is_array( $data ) ) {
                                $data = [ $data ];
                        }

                        $data = array_unique( \array_merge( $data, \array_map( '\sanitize_title', $data ) ) );
                }

                return $data;
        }
}
