<?php



namespace WpieApp\Modules\Import\Controller\Items\User;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Standard;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Meta;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Notification;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Other;
use WpieApp\Modules\Import\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/User/Fields/Init', $type );

                
                self::$data = \apply_filters( 'Wpie/Import/User/Fields', parent::get(), $type );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard"     => Standard::get(),
                        "meta"         => Meta::get(),
                        "notification" => Notification::get(),
                        "other"        => Other::get()
                ];
        }
}
