<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class Ftp {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Ftp',
                        [
                                "title"        => __( 'From FTP', 'wp-import-export' ),
                                "desc"         => __( 'Download file from FTP', 'wp-import-export' ),
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "notes"        => self::getNotes(),
                                "order"        => 50,
                                "fields"       => [
                                        "server"          => [
                                                "order"      => 5,
                                                "label"      => __( 'Server', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-ftp-server",
                                                                "description" => __( 'FTP Server', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Example : demo.com', 'wp-import-export' ) ]
                                                                ]
                                                        ]
                                                ]
                                        ],
                                        "username"        => [
                                                "order"      => 10,
                                                "label"      => __( 'Username', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-ftp-server-username",
                                                                "description" => __( 'Server Username', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "password"        => [
                                                "order"      => 15,
                                                "label"      => __( 'Password', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-ftp-server-password",
                                                                "description" => __( 'Server Password', 'wp-import-export' )
                                                        ],
                                                ]
                                        ],
                                        "port"            => [
                                                "order"      => 20,
                                                "label"      => __( 'Port', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-ftp-server-port",
                                                                "description" => __( 'FTP Port', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Default Port : 21', 'wp-import-export' ) ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                        "connection-type" => [
                                                "order"      => 25,
                                                "label"      => __( 'Is SSL', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "checkbox",
                                                                "order"       => 5,
                                                                "class"       => "wpie-ftp-is-ssl",
                                                                "name"        => "ftp-is-ssl",
                                                                "is-switch"   => true,
                                                                "default"     => [],
                                                                "choices"     => [ "1" => "Is SSL" ],
                                                                "description" => __( 'Is SSL', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                        [ "text" => __( 'Default : No', 'wp-import-export' ) ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                        "submit-button"   => [
                                                "order"      => 120,
                                                "sub-fields" => [
                                                        [
                                                                "type"       => "button",
                                                                "order"      => 5,
                                                                "label"      => __( 'Connect', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-link",
                                                                "class"      => "wpie-download-from-ftp-btn btn-primary"
                                                        ],
                                                ]
                                        ],
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Ftp/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the FTP upload documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading files using FTP',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-files-using-ftp' )
                                        )
                                ]
                        ]
                );
        }
}
