<?php



namespace WpieApp\Modules\Security\View\Security;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Htaccess {

        
        public static function getBlocks() {

                $canUpdateHtaccess = Helper::getOption( 'can_update_htaccess', "0" );

                
                return \apply_filters(
                        'Wpie/Modules/Security/View/Htaccess',
                        [
                                "title"  => __( '.htaccess', 'wp-import-export' ),
                                "order"  => 40,
                                "desc"   => __( '.htaccess Rules', 'wp-import-export' ),
                                "fields" => [
                                        "robot-txt" => [
                                                "order"      => 10,
                                                "label"      => __( 'Add Rule to .htaccess', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "robot-txt"     => [
                                                                "type"        => "checkbox",
                                                                "order"       => 5,
                                                                "class"       => "wpie-add-rule-to-htaccess",
                                                                "is-switch"   => true,
                                                                "default"     => [ $canUpdateHtaccess ],
                                                                "choices"     => [ "1" => __( "Add Rule to .htaccess", 'wp-import-export' ) ],
                                                                "description" => __( 'Add Rule to .htaccess. It will protect file from direct access', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Enable is recommended', 'wp-import-export' ) ],
                                                                        [ "text" => __( 'If enabled, create/update .htaccess file.', 'wp-import-export' ) ],
                                                                        [ "text" => __( 'If disabled, remove/update .htaccess file.', 'wp-import-export' ) ],
                                                                ]
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-htaccess-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
