<?php



namespace WpieApp\Modules\Security\View\Security;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class RobotTxt {

        
        public static function getBlocks() {

                $canUpdate = Helper::getOption( 'can_update_robot_txt', "0" );

                
                return \apply_filters(
                        'Wpie/Modules/Security/View/RobotTxt',
                        [
                                "title"  => __( 'Robot.txt', 'wp-import-export' ),
                                "order"  => 30,
                                "desc"   => __( 'Robot.txt Rules', 'wp-import-export' ),
                                "fields" => [
                                        "robot-txt" => [
                                                "order"      => 10,
                                                "label"      => __( 'Add Rule to Robot.txt', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "robot-txt"     => [
                                                                "type"        => "checkbox",
                                                                "order"       => 5,
                                                                "is-switch"   => true,
                                                                "class"       => "wpie-add-rule-to-robot-txt",
                                                                "default"     => [ $canUpdate ],
                                                                "choices"     => [ "1" => __( "Add Rule to robot.txt", 'wp-import-export' ) ],
                                                                "description" => __( 'Add Rule to Robot.txt. It will disallow search engine bots from indexing import and export files', 'wp-import-export' ),
                                                                "hint"        => [
                                                                        [ "text" => __( 'Enable is recommended', 'wp-import-export' ) ],
                                                                        [ "text" => __( 'If enabled, create/update robot.txt file.', 'wp-import-export' ) ],
                                                                        [ "text" => __( 'If disabled, remove/update robot.txt file.', 'wp-import-export' ) ],
                                                                ]
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-settings-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }
}
