<?php



namespace WpieApp\Providers;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class JsonManager {

        
        Private static $data = [];

        
        const OBJECT_NAME = '_wpieSettings';

        
        const GLOBAL_OBJECT_NAME = '_wpieGlobalSettings';

        
        public static function getData() {

                return array_merge( self::$data, self::getDefaults() );
        }

        
        private static function getDefaults() {

                return [
                        'version'      => WPIE_VERSION,
                        'is_pro'       => WPIE_PRO ? 1 : 0,
                        'ajaxurl'      => admin_url( 'admin-ajax.php' ),
                        'i18n'         => I18n::getStrList(),
                        'assetUrl'     => WPIE_ASSETS_URL,
                        'activeModule' => Helper::getActiveModule(),
                        'prefix'       => Helper::PLUGIN_PREFIX,
                        'is_rtl'       => is_rtl(),
                        'nonce'        => Helper::getNonce(),
                        'nonceName'    => Helper::getNonceName(),
                        'ProUrl'       => WPIE_PRO_URL,
                ];
        }

        
        public static function getGlobals() {

                return [
                        'ProUrl' => WPIE_PRO_URL,
                ];
        }

        
        public static function addData( $key = "", $val = "" ) {

                if ( empty( $key ) || isset( self::$data[ $key ] ) ) {
                        return false;
                }

                self::$data[ $key ] = $val;

                return true;
        }
}
